Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.torque.generator.jdbc
Enum SchemaType

    java.lang.Object
      java.lang.Enum<SchemaType>
          org.apache.torque.generator.jdbc.SchemaType

All Implemented Interfaces:
  Serializable, Comparable<SchemaType>

    public enum SchemaType

extends Enum<SchemaType>

Enum for known SQL types.

Version:
  $Id: SchemaType.java 1331190 2012-04-27 02:41:35Z tfischer $
Author:

  Enum Constant Summary
  `ARRAY` JDBC Datatype ARRAY.
  `BIGINT` JDBC Datatype BIGINT.
  `BINARY` JDBC Datatype BINARY.
  `BIT` JDBC Datatype BIT.
  `BLOB` JDBC Datatype BLOB.
  `BOOLEANCHAR` JDBC Datatype CHAR interpreted as Boolean.
  `BOOLEANINT` JDBC Datatype INTEGER interpreted as Boolean.
  `CHAR` JDBC Datatype CHAR.
  `CLOB` JDBC Datatype CLOB.
  `DATE` JDBC Datatype DATE.
  `DECIMAL` JDBC Datatype DECIMAL.
  `DISTINCT` JDBC Datatype DISTINCT.
  `DOUBLE` JDBC Datatype DOUBLE.
  `FLOAT` JDBC Datatype FLOAT.
  `INTEGER` JDBC Datatype INTEGER.
  `JAVA_OBJECT` JDBC Datatype JAVA_OBJECT.
  `LONGVARBINARY` JDBC Datatype LONGVARBINARY.
  `LONGVARCHAR` JDBC Datatype LONGVARCHAR.
  `NULL` JDBC Datatype NULL.
  `NUMERIC` JDBC Datatype NUMERIC.
  `OTHER` JDBC Datatype OTHER.
  `REAL` JDBC Datatype REAL.
  `REF` JDBC Datatype REF.
  `SMALLINT` JDBC Datatype SMALLINT.
  `STRUCT` JDBC Datatype STRUCT.
  `TIME` JDBC Datatype TIME.
  `TIMESTAMP` JDBC Datatype TIMESTAMP.
  `TINYINT` JDBC Datatype TINYINT.
  `VARBINARY` JDBC Datatype VARBINARY.
  `VARCHAR` JDBC Datatype VARCHAR.

  Method Summary
  `static SchemaType` | `getByJdbcType(Integer jdbcType)` Returns the schema type which corresponds to the given jdbc type.
  `Integer` | `getJdbcType()` Returns the corresponding jdbc type.
  `static SchemaType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
  `static SchemaType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

  Methods inherited from class java.lang.Enum
  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  Methods inherited from class java.lang.Object
  `getClass, notify, notifyAll, wait, wait, wait`

  Enum Constant Detail

  ### BIT

      public static final SchemaType BIT

    JDBC Datatype BIT.

  ### TINYINT

      public static final SchemaType TINYINT

    JDBC Datatype TINYINT.

  ### SMALLINT

      public static final SchemaType SMALLINT

    JDBC Datatype SMALLINT.

  ### INTEGER

      public static final SchemaType INTEGER

    JDBC Datatype INTEGER.

  ### BIGINT

      public static final SchemaType BIGINT

    JDBC Datatype BIGINT.

  ### FLOAT

      public static final SchemaType FLOAT

    JDBC Datatype FLOAT.

  ### REAL

      public static final SchemaType REAL

    JDBC Datatype REAL.

  ### NUMERIC

      public static final SchemaType NUMERIC

    JDBC Datatype NUMERIC.

  ### DECIMAL

      public static final SchemaType DECIMAL

    JDBC Datatype DECIMAL.

  ### CHAR

      public static final SchemaType CHAR

    JDBC Datatype CHAR.

  ### VARCHAR

      public static final SchemaType VARCHAR

    JDBC Datatype VARCHAR.

  ### LONGVARCHAR

      public static final SchemaType LONGVARCHAR

    JDBC Datatype LONGVARCHAR.

  ### DATE

      public static final SchemaType DATE

    JDBC Datatype DATE.

  ### TIME

      public static final SchemaType TIME

    JDBC Datatype TIME.

  ### TIMESTAMP

      public static final SchemaType TIMESTAMP

    JDBC Datatype TIMESTAMP.

  ### BINARY

      public static final SchemaType BINARY

    JDBC Datatype BINARY.

  ### VARBINARY

      public static final SchemaType VARBINARY

    JDBC Datatype VARBINARY.

  ### LONGVARBINARY

      public static final SchemaType LONGVARBINARY

    JDBC Datatype LONGVARBINARY.

  ### NULL

      public static final SchemaType NULL

    JDBC Datatype NULL.

  ### OTHER

      public static final SchemaType OTHER

    JDBC Datatype OTHER.

  ### JAVA_OBJECT

      public static final SchemaType JAVA_OBJECT

    JDBC Datatype JAVA_OBJECT.

  ### DISTINCT

      public static final SchemaType DISTINCT

    JDBC Datatype DISTINCT.

  ### STRUCT

      public static final SchemaType STRUCT

    JDBC Datatype STRUCT.

  ### ARRAY

      public static final SchemaType ARRAY

    JDBC Datatype ARRAY.

  ### BLOB

      public static final SchemaType BLOB

    JDBC Datatype BLOB.

  ### CLOB

      public static final SchemaType CLOB

    JDBC Datatype CLOB.

  ### REF

      public static final SchemaType REF

    JDBC Datatype REF.

  ### BOOLEANINT

      public static final SchemaType BOOLEANINT

    JDBC Datatype INTEGER interpreted as Boolean.

  ### BOOLEANCHAR

      public static final SchemaType BOOLEANCHAR

    JDBC Datatype CHAR interpreted as Boolean.

  ### DOUBLE

      public static final SchemaType DOUBLE

    JDBC Datatype DOUBLE.

  Method Detail

  ### values

      public static SchemaType[] values()

    Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

        for (SchemaType c : SchemaType.values())
            System.out.println(c);

    Returns:
      an array containing the constants of this enum type, in the order they are declared

  ### valueOf

      public static SchemaType valueOf(String name)

    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  ### getJdbcType

      public Integer getJdbcType()

    Returns the corresponding jdbc type.

    Returns:
      the corresponding jdbc type, or null if no corresponding type exists.

  ### getByJdbcType

      public static SchemaType getByJdbcType(Integer jdbcType)

    Returns the schema type which corresponds to the given jdbc type.

    Parameters:
      `jdbcType` - the jdbc type.
    Returns:
      the corresponding schema type, or null if no schema type corresponds to the jdbc type.

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

  Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.